package dfatool.strategy.graph;

import java.util.List;

public interface IGraph {
	
	public void addNode(INode node);
	
	public void removeNode(INode node);
	
	public boolean hasNode(INode node);
	
	public INode getNodeByIdentifier(NodeIdentifier identifier);
	
	public List<INode> getNodes();

}
